import { SimpleLocalIntegration } from '../../core/index.js';
import { FivemConfigFlow } from './fivem.classes.configflow.js';
import { createFivemDiscoveryDescriptor } from './fivem.discovery.js';
import type { IFivemConfig } from './fivem.types.js';
import { fivemDomain, fivemProfile } from './fivem.types.js';

export class FivemIntegration extends SimpleLocalIntegration<IFivemConfig> {
  public readonly domain = fivemDomain;
  public readonly discoveryDescriptor = createFivemDiscoveryDescriptor();
  public readonly configFlow = new FivemConfigFlow();

  constructor() {
    super(fivemProfile);
  }
}

export class HomeAssistantFivemIntegration extends FivemIntegration {}
